#!/usr/bin/perl -w
# 
# sb::Data::Template - Module for Serene Bach
# == written by T.Otani <ootani@segausers.gr.jp> ===
# == Copyright (C) 2004 SimpleBoxes/SerendipityNZ ==

package sb::Data::Template;

use strict;

# ==================================================
# // module version
# ==================================================
use vars qw( $VERSION @ISA );
$VERSION = '0.01';
# 0.01 [2005/07/22] changed data structure to array
# 0.00 [2005/02/02] generated

# ==================================================
# // configuration for inheritance / dependancy
# ==================================================
use sb::Data::Object ();
@ISA = qw( sb::Data::Object );
# ==================================================
# // declaration for constant value
# ==================================================
# ==================================================
# // declaration for data structure
# ==================================================
my @mStruct = (
	'id',    # id
	'wid',   # wid
	'use',   # ѥե饰
	'name',  # ƥץ졼̾
	'gen',   # 
	'mod',   # 
	'info',  # ƥץ졼Ⱦ
	'main',  # ١ƥץ졼
	'css',   # 륷
	'entry', # ƥץ졼
	'files', # ѥѡ
);
# ==================================================
# // constructor
# ==================================================
sub alloc {
	my $class = shift;
	return $class->SUPER::alloc( @_, 'content_list' => \@mStruct );
}
# ==================================================
# // public functions
# ==================================================
sub initialize {
	my $self  = shift;
	my %param = @_;
	$param{'wid'} |= 0;
	$self->SUPER::initialize(%param);
}
1;
__END__
